/* ***** BEGIN LICENSE BLOCK *****
 * Copyright (c) 2002-4 Simon Woodside.
 * Original Author: Eric Wu <htwunew@yahoo.com>
 * Original code is public domain code by Eric Wu.
 * Contributor(s):
 *   Simon Woodside <sbwoodside@yahoo.com>
 * This file is part of FractalTrees.
 *     FractalTrees is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *     FractalTrees is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     You should have received a copy of the GNU General Public License
 * along with FractalTrees; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ***** END LICENSE BLOCK ***** */

#import <Cocoa/Cocoa.h>

@interface RandSupply : NSObject
{
  FILE * rn;
}


-(unsigned char)getRandomByte;
-(unsigned int)getRandomInt;
-(unsigned int)getRandomIntLessThan:(unsigned int)i;

-(BOOL)getRandomBOOL;
-(float)getRandomFloat;

-(float)getNormalFloat;
-(float)getNormalFloatWithVariance:(float)variance;
-(float)getNormalFloatWithMean:(float)mean variance:(float)variance;


@end
